<div class="w-auto h-60">
  <mat-horizontal-stepper [linear]="true" #stepper>
    <mat-step [stepControl]="firstFormGroup">
      <form [formGroup]="firstFormGroup">
        <ng-template matStepLabel>Zone</ng-template>
        <div class="pt-5">
          <mat-form-field>
            <mat-label>Zone</mat-label>
            <mat-select required formControlName="firstControl">
              <mat-option *ngFor="let zone of zones" [value]="zone">
                {{ zone.zone }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="pt-5">
          <button mat-button matStepperNext>Suivant</button>
        </div>
      </form>
    </mat-step>
    <!-- ----------------------------------------------------------------------- -->
    <!--                                STEP TWO                                 -->
    <!-- ----------------------------------------------------------------------- -->

    <mat-step [stepControl]="secondFormGroup">
      <form [formGroup]="secondFormGroup">
        <ng-template matStepLabel>Ligne</ng-template>
        <div class="pt-5">
          <mat-form-field>
            <mat-label>Ligne</mat-label>
            <mat-select required formControlName="secondControl">
              <mat-option *ngFor="let ligne of filteredLigne" [value]="ligne">
                {{ ligne.ligne }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="pt-5">
          <ng-container *ngIf="horsLigneSelected; else elseTemplate">
            <button mat-button matStepperNext (click)="onConfirmerClick()">
              Confirmer
            </button>
          </ng-container>
          <ng-template #elseTemplate>
            <button mat-button matStepperNext>Suivant</button>
          </ng-template>
        </div>
      </form>
    </mat-step>

    <!-- ----------------------------------------------------------------------- -->
    <!--                               STEP THREE                                -->
    <!-- ----------------------------------------------------------------------- -->

    <mat-step [stepControl]="thirdFormGroup">
      <form [formGroup]="thirdFormGroup">
        <ng-template matStepLabel>Sous-Machine</ng-template>
        <div class="pt-5">
          <mat-form-field>
            <mat-label>Sous-Machine</mat-label>
            <mat-select required formControlName="thirdControl">
              <mat-option
                *ngFor="let sousMachine of filteredSousMachine"
                [value]="sousMachine"
              >
                {{ sousMachine.machine }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="pt-5">
          <button mat-button matStepperNext (click)="onConfirmerClick()">
            Confirmer
          </button>
        </div>
      </form>
    </mat-step>
  </mat-horizontal-stepper>
</div>
